Subject: Re: Can't recognize local repository

From: Jim Pryor <[email-masked]>
Date: Sat, 15 Mar 2025 05:47:35 -0400

As Sertonix proposed, if my `/etc/apk/repositories` specifies
`/var/lib/packages`, then the APKINDEX and *.apks do indeed need to
reside at `/var/lib/packages/$ARCH`.

I don't know why, but moving files there wasn't by itself a fix for
me. I was eventually able to get this to work, by configuring `abuild`
to place packages in my desired destination and using the APKINDEX it
created there. I wasn't able to diagnose what caused my initial
problems. I suspect something was off about how the earlier APKINDEX
was generated. Permissions on the various directories and files seemed
OK.

In any case, thanks for your mental bandwidth.